Subject: bug#1700 closed by "Trent W. Buck" <[email-masked]> (Re: bug#1700: 23.0.60; Please provide a way to know if --daemon is supported)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 25 Dec 2008 10:55:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1700: 23.0.60; Please provide a way to know if --daemon is supported

It has been closed by "Trent W. Buck" <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact "Trent W. Buck" <[email-masked]> by
replying to this email.

-- 
1700: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1700
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1700: 23.0.60; Please provide a way to know if --daemon is supported
From: "Trent W. Buck" <[email-masked]>
To: Sven Joachim <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 25 Dec 2008 21:50:56 +1100

On Thu, Dec 25, 2008 at 09:43:09AM +0100, Sven Joachim wrote:
> On 2008-12-25 09:03 +0100, [email-masked] wrote:
> 
> > Currently I have a script that tries to use --daemon, but if it is not
> > supported falls back on creating an ordinary (mtty, or nothing) Emacs
> > session.  The test it uses for this is:
> >
> >     emacs --batch -q --no-site-file --daemon >/dev/null 2>&1
> >
> > However after my last weekly upgrade, this test fails even when
> > --daemon is supported.  Please provide a way to test for --daemon
> > support that will fail immediately on Emacs 21 and 22 (rather than
> > just launching an ordinary Emacs), and will succeed immediately when
> > --daemon is supported.
> 
> How about "emacs --help | grep -q -e --daemon" ?

Thanks, that works.

I guess I didn't do that originally because I've a habit of not
trusting documentation to be up to date :-)

Subject: 23.0.60; Please provide a way to know if --daemon is supported
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 25 Dec 2008 00:03:44 -0800 (PST)

Currently I have a script that tries to use --daemon, but if it is not
supported falls back on creating an ordinary (mtty, or nothing) Emacs
session.  The test it uses for this is:

    emacs --batch -q --no-site-file --daemon >/dev/null 2>&1

However after my last weekly upgrade, this test fails even when
--daemon is supported.  Please provide a way to test for --daemon
support that will fail immediately on Emacs 21 and 22 (rather than
just launching an ordinary Emacs), and will succeed immediately when
--daemon is supported.

In GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-12-22 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20081221-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
Loading /etc/emacs/site-start.d/50festival.el (source)...done
Loading /etc/emacs/site-start.d/50paredit-el.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...done
Loading /etc/emacs/site-start.d/50w3m-el-snapshot.el (source)...done
Loading /etc/emacs/site-start.d/51debian-el.el (source)...done
Ido mode enabled
Starting Emacs daemon.
Restarting server
When done with this frame, type C-x 5 0